### Virtual Method

# Gck Module authenticate_slot

#### Declaration [src]

    gboolean
    authenticate_slot (
      GckModule* self,
      GckSlot* slot,
      gchar* label,
      gchar** password
    )

#### Description

No description available.

#### Parameters

`slot`

  Type: `GckSlot`

  No description available.

  The data is owned by the caller of the method.

`label`

  Type: `gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`password`

  Type: `gchar**`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

No description available.